---
sidebar_position: 8
description: Kick user from channel and other functions to work with Slack in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Slack]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Kick user from channel
 Removes specified user from channel



`Function KickUserFromChannel(Val Token, Val Channel, Val User) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | Channel | --channel | String | &#x2714; | Channel ID |
  | User | --user | String | &#x2714; | User ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Slack



```bsl title="1C:Enterprise/OneScript code example"
    Token   = "xoxb-6965308400114-696804637...";
    Channel = "C0A3MS0PZS4";
    User    = "U06UABH3APP";

    Result = OPI_Slack.KickUserFromChannel(Token, Channel, User);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint slack KickUserFromChannel \
             --token "***" \
             --channel "C0A2MHCL9EF" \
             --user "U06UABH3APP"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint slack KickUserFromChannel ^
             --token "***" ^
             --channel "C0A2MHCL9EF" ^
             --user "U06UABH3APP"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "errors": {}
}
```
